<template>
  <div class="counter">
    <button @click="decrease">-</button>
    <button @click="increase">+</button>
    <div>{{ count }}</div>
    <Heading :text="'Msg: ' + msg" />
  </div>
</template>

<script lang="ts">
import { defineComponent } from 'vue-demi';
import Heading from './Heading';

export default defineComponent({
  components: {
    Heading,
  },
  name: 'Counter',
  props: {
    msg: String,
  },
  data() {
    return {
      count: 0,
    };
  },
  methods: {
    increase() {
      this.count++;
    },
    decrease() {
      this.count--;
    },
  },
});
</script>

<style scoped>
.counter {
  border: 1px dashed grey;
  margin: 20px;
  padding: 20px;
}
</style>
